Nini Library API Reference - http://nini.sourceforge.net/ |

# ConfigCollection Members

ConfigCollection overview

#### Public Instance Constructors

ConfigCollection Constructor |

#### Public Instance Properties

Count | Returns the number of IConfigs in the collection.
IsFixedSize | Returns true if the collection is of a fixed size.
IsReadOnly | Returns true if the collection is read only.
IsSynchronized | Returns true if the collection is synchronized. This always returns false.
Item | Overloaded. Returns the IConfig at the specified index.
SyncRoot | Returns the synchronization object.

#### Public Instance Methods

Add | Overloaded. Adds a new IConfig to the collection.
Clear | Removes all IConfigs from the collection.
Contains | Returns true if the collection contains the IConfig.
CopyTo | Overloaded. Copies the collection to an array.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Returns the enumerator object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IndexOf | Returns the index of an IConfig in the collection.
Insert | Inserts a new IConfig to the collection.
Remove | Overloaded. Removes an IConfig from the collection.
RemoveAt | Removes an IConfig from the index.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Public Instance Events

ConfigAdded | Occurs when a config is added.
ConfigRemoved | Occurs when a config is removed.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnConfigAdded | Raises the ConfigAdded event.
OnConfigRemoved | Raises the ConfigRemoved event.

#### See Also

ConfigCollection Class | Nini.Config Namespace